org.apache.xmlgraphics.image.loader.util

## Class ImageInputStreamAdapter

- java.lang.Object
- - java.io.InputStream
  - - org.apache.xmlgraphics.image.loader.util.ImageInputStreamAdapter

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class ImageInputStreamAdapter
      extends java.io.InputStream

  Decorates an ImageInputStream with an InputStream interface. The methods `mark()` and `reset()` are fully supported. The method `available()` will always return 0.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageInputStreamAdapter(javax.imageio.stream.ImageInputStream iin)` Creates a new ImageInputStreamAdapter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `void` | `close()`
    `void` | `mark(int readlimit)`
    `boolean` | `markSupported()`
    `int` | `read()`
    `int` | `read(byte[] b)`
    `int` | `read(byte[] b, int off, int len)`
    `void` | `reset()`
    `long` | `skip(long n)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageInputStreamAdapter

          public ImageInputStreamAdapter(javax.imageio.stream.ImageInputStream iin)

      Creates a new ImageInputStreamAdapter.
      Parameters:
        `iin` - the underlying ImageInputStream

  - ### Method Detail

    - #### read

          public int read(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] b)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read()
                   throws java.io.IOException

      Specified by:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### skip

          public long skip(long n)
                    throws java.io.IOException

      Overrides:
        `skip` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### mark

          public void mark(int readlimit)

      Overrides:
        `mark` in class `java.io.InputStream`

    - #### markSupported

          public boolean markSupported()

      Overrides:
        `markSupported` in class `java.io.InputStream`

    - #### reset

          public void reset()
                     throws java.io.IOException

      Overrides:
        `reset` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### available

          public int available()
                        throws java.io.IOException

      Overrides:
        `available` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.